/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.tiff.persistence;

import it.tidalwave.image.metadata.TIFF;
import it.tidalwave.metadata.Metadata;
import it.tidalwave.metadata.persistence.spi.MetadataItemPersistenceSupport;

/*******************************************************************************
 *
 * This interceptor ensures that all the EXIF metadata items are kept in sync
 * with the persistence layer.
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class TIFFPersistenceSourceSink extends MetadataItemPersistenceSupport<TIFF>
  {
    /***************************************************************************
     *
     *
     **************************************************************************/
    public TIFFPersistenceSourceSink()
      throws Exception
      {
        super(TIFF.class, "TIFF Persistence", Metadata.StorageType.INTERNAL, "TIFF");
        persistenceSpi.register(TIFF.class, new TIFFBeanAccessor());
      }
  }
